- Update to 2.7.0

PR:		ports/63265
Submitted by:	Gerhard Schmidt <estartu@augusta.de>
Approved by:	crowds on python@ via perky (in general)
This commit is contained in:
Pav Lucistnik 2004-04-02 00:00:29 +00:00
parent 6bb3236433
commit bc4cd30966
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=105919
73 changed files with 6224 additions and 5498 deletions

View File

@ -116,7 +116,7 @@ _PYTHON_PORTBRANCH= 2.3
_PYTHON_ALLBRANCHES= 2.3 2.2 2.1 2.0 1.5 2.4 # preferred first
.if defined(USE_ZOPE)
PYTHON_VERSION= python2.1
PYTHON_VERSION= python2.3
.endif
.if defined(PYTHON_VERSION)
@ -332,7 +332,7 @@ BUILD_DEPENDS+= ${PYDISTUTILS}
.endif # ${PYTHON_NO_DEPENDS} == "NO"
.if defined(USE_ZOPE)
RUN_DEPENDS+= ${PYTHONBASE}/${SZOPEBASEDIR}/z2.py:${PORTSDIR}/www/zope
RUN_DEPENDS+= ${ZOPEBASEDIR}/skel/bin/zopectl.in:${PORTSDIR}/www/zope
.endif
# set $PREFIX as Python's one

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope210/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope211/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope213/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope28/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff

View File

@ -6,19 +6,18 @@
#
PORTNAME= zope
PORTVERSION= 2.6.2
PORTREVISION= 1
PORTVERSION= 2.7.0
CATEGORIES= www python zope
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}-src
MASTER_SITES= http://www.zope.org/Products/Zope/${PORTVERSION}/${PORTVERSION}/
DISTNAME= Zope-${PORTVERSION}
EXTRACT_SUFX= .tgz
MAINTAINER= ports@FreeBSD.org
COMMENT= An object-based web application platform
USE_PYTHON= yes
PYTHON_VERSION?=python2.1
BUILD_DEPENDS+= ${LOCALBASE}/lib/${PYTHON_VERSION}/site-packages/_xmlplus/sax/expatreader.py:${PORTSDIR}/textproc/py-xml
USE_PYTHON= yes
DIST_SUBDIR= zope
# Note: the notes that follow reflect the decisions of prior maintainers
@ -27,122 +26,45 @@ DIST_SUBDIR= zope
# Build has to be done in the final location after installing the sources
# there. It was a major action to fix all paths otherwise.
do-build: # empty, but needs to be there for the python dependency.
# Change these, if you like, via the environment.
WEBBASEDIR?= www
SZOPEBASEDIR?= ${WEBBASEDIR}/Zope
SCGIBINDIR?= ${WEBBASEDIR}/cgi-bin
SAPACHE_CONFDIR?= etc/apache
ZOPE_HTTP_PORT?= 8080
ZOPE_FTP_PORT?= 8021
ZOPE_MONITOR_PORT?= ''
ZOPE_USER?= www
ZOPE_USER?= www
SUPER_USER?= root
# Do not change anything below this line.
# Don't change these.
ZOPEBASEDIR= ${PREFIX}/${SZOPEBASEDIR}
CGIBINDIR= ${PREFIX}/${SCGIBINDIR}
APACHE_CONFDIR= ${PREFIX}/${SAPACHE_CONFDIR}
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR} \
CGIBINDIR=${SCGIBINDIR} \
APACHE_CONFDIR=${SAPACHE_CONFDIR} \
VERSION=${PORTVERSION} \
WEBBASEDIR=${WEBBASEDIR}
HAS_CONFIGURE= yes
CONFIGURE_ARGS= --prefix=${ZOPEBASEDIR}
# Force the cgi-bin dir or link to exist.
# If we have to create it, call it -dist to emphasize that the port
# set it up. <alane>
USE_GMAKE= yes
ALL_TARGET= build
MAKEFILE= makefile
pre-install:
PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL
PLIST_SUB= ZOPEBASEDIR=${SZOPEBASEDIR}
# I decided to consider the whole souce tree to be part of the package
# since in there, Zope can live on its own. I can use Zope's own building
# mechanism.
do-install:
@if test ! -d ${CGIBINDIR}; then \
${ECHO_CMD} "The directory for Zope's CGI scripts does"\
"not exist, so I will create it.";\
${ECHO_CMD} "They will be placed in ${CGIBINDIR}.";\
${ECHO_CMD} ;\
${MKDIR} ${CGIBINDIR}; ${CHMOD} 0755 ${CGIBINDIR}; fi
@if [ -e ${ZOPEBASEDIR}/var/Data.fs ] ; then \
${ECHO} "Saving existing Database to ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs ${ZOPEBASEDIR}/var/Data.fs.preserve; \
fi
@#
@${MKDIR} ${ZOPEBASEDIR}
@${ECHO} "===> Please be patient, some builds need their time."
@${ECHO} "===> Copying..."
@${CP} -Rp ${WRKSRC}/* ${ZOPEBASEDIR}/
#
# Copying some patches
#
#@${CP} -Rp ${WRKDIR}/lib ${ZOPEBASEDIR}/
@#
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} w_pcgi.py)
@${CHMOD} -R u+w ${ZOPEBASEDIR}
@(cd ${ZOPEBASEDIR} && ${PYTHON_CMD} wo_pcgi.py)
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi Zope.cgi.orig ; \
${ECHO_CMD} "#! ${CGIBINDIR}/pcgi-wrapper" > Zope.cgi ; \
${CAT} Zope.cgi.orig >> Zope.cgi ; \
${RM} Zope.cgi.orig )
@(cd ${ZOPEBASEDIR}/pcgi/Test && ${RM} *.o)
@(cd ${ZOPEBASEDIR}/pcgi && ${RM} *.o)
@#
@(cd ${ZOPEBASEDIR} && \
${MV} Zope.cgi \
pcgi/pcgi-wrapper \
${CGIBINDIR} )
@(cd ${CGIBINDIR} && \
${CHMOD} 555 Zope.cgi pcgi-wrapper )
@${RM} -rf ${ZOPEBASEDIR}/lib/python/build/
@#
@${ECHO} "===> Fixing permissions of Zope's own var directory..."
@${CHMOD} ugo+rwt ${ZOPEBASEDIR}/var
@${CHOWN} ${SUPER_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var/*
@${RM} ${ZOPEBASEDIR}/var/.cvsignore
@if [ -e ${ZOPEBASEDIR}/var/Data.fs.preserve ] ; then \
${ECHO} "Restoring existing Database from ${ZOPEBASEDIR}/var/Data.fs.preserve." ; \
${MV} ${ZOPEBASEDIR}/var/Data.fs.preserve ${ZOPEBASEDIR}/var/Data.fs; \
fi
@#
@if [ ! -f ${ZOPEBASEDIR}/access ]; then \
${ECHO} "===> Setting user/password to zopemaster/test..."; \
(cd ${ZOPEBASEDIR} && \
${PYTHON_CMD} zpasswd.py -u zopemaster \
-p test -e CLEARTEXT access ); \
fi
@#
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/access
@#
@${ECHO} "===> Copying Apache config file changes to ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${MKDIR} ${APACHE_CONFDIR}
@${CP} -p ${FILESDIR}/apache.conf.Zope-Changes ${APACHE_CONFDIR}/
@#
@${ECHO} "===> Please have a look at this file and the instructions"
@${ECHO} "===> therein and incorporate them to your apache.conf."
@${ECHO} "===> Creating rc startup file for Zope-${PORTVERSION}..."
@${MKDIR} ${PREFIX}/etc/rc.d
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" \
-e "s|%%CGIBINDIR%%|${CGIBINDIR}|g" \
-e "s|%%ZOPE_USER%%|${ZOPE_USER}|g" \
-e "s|%%ZOPE_HTTP_PORT%%|${ZOPE_HTTP_PORT}|g" \
-e "s|%%ZOPE_FTP_PORT%%|${ZOPE_FTP_PORT}|g" \
-e "s|%%ZOPE_MONITOR_PORT%%|${ZOPE_MONITOR_PORT}|g" \
< ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
@${CHMOD} ug+x,o-rwx ${PREFIX}/etc/rc.d/zope.sh.sample
@${ECHO} "===> Done with ${PREFIX}/etc/rc.d/zope.sh.sample."
@${CAT} ${FILESDIR}/Message
@${ECHO} "===> Your Zope base directory is ${ZOPEBASEDIR}."
@${ECHO} "===> The Zope license is in ${ZOPEBASEDIR}/LICENSE.txt."
@${ECHO} "===> For Apache changes see ${APACHE_CONFDIR}/apache.conf.Zope-Changes."
@${ECHO} "===> Zope.cgi and pcgi-wrapper live in ${CGIBINDIR}."
.if defined(BATCH)
ISBATCH= -u admin:test123
.else
ISBATCH= ""
.endif
post-install:
@${MV} ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.in ${PREFIX}/${SZOPEBASEDIR}/skel/etc/zope.conf.sample.in
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < pkg-message
instance:
@${PREFIX}/${SZOPEBASEDIR}/bin/mkzopeinstance.py -d ${ZOPEBASEDIR} ${ISBATCH}
@${CAT} ${FILESDIR}/zope.conf_changes | \
${SED} "s/@@@ZOPE_USER@@@/${ZOPE_USER}/g" | \
${PATCH} ${ZOPEBASEDIR}/etc/zope.conf.sample
@${RM} ${ZOPEBASEDIR}/etc/zope.conf.sample.orig
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/var
@${CHOWN} ${ZOPE_USER} ${ZOPEBASEDIR}/log
@${SED} -e "s|%%ZOPEBASEDIR%%|${ZOPEBASEDIR}|g" < ${FILESDIR}/zope.sh.in > ${PREFIX}/etc/rc.d/zope.sh.sample
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
MD5 (zope/Zope-2.6.2-src.tgz) = a0e873d54994231d7c03640f7092a4fb
SIZE (zope/Zope-2.6.2-src.tgz) = 2347004
MD5 (zope/Zope-2.7.0.tgz) = f733cd97f32411d43d372ac61eed98f4
SIZE (zope/Zope-2.7.0.tgz) = 2733236

View File

@ -1,6 +0,0 @@
Special thanks to (in no particular order):
- The Zope makers: Digital Creations.
- The Python Group
- Olaf Erb
- Andreas Ley

View File

@ -1,57 +0,0 @@
Welcome to Zope.
The basic installation process for FreeBSD now has been done. To have a
quick look, cd to your Zope base directory (see below) and start Zope
with:
./start -w <web port> -f <ftp port>
where <web port> is the port where to http-access Zope with your browser
(try http://localhost:<web port>). It defaults to 80. <ftp-port> is the
same thing for ftp (upload) access, it defaults to 21. Obviously, you will
have to specify these if you already use these ports. The user/password
pair for access to the management screens has been preset to
zopemaster/test, respectively.
PLEASE NOTE that the above only is for a quick check only, BUT IT WILL
LEAVE YOUR ZOPE PROCESS WIDE OPEN TO HACKING SINCE THERE'S NO SECURITY
WHATSOEVER. Therefore, PLEASE do incorporate the suggested changes (see
below) to your apache-SSL web server and only start Zope WITHOUT ANY open
<web port> or <ftp port>. This can be done, also from the Zope base dir,
by:
./start -w '' -f '' -m '' -p <path to Zope.cgi>/Zope.cgi
where <path to Zope.cgi> is the (full) path to where Zope.cgi lives (see
below). There now also should be a file in ${PREFIX}/etc/rc.d/ (most
probably /usr/local/etc/rc.d/) named zope.sh that does the startup for you
after a reboot.
Also, it might be a good idea now to change the password. You can do that
with (again, in the Zope base directory):
python zpasswd.py -u <username> -p <passwd> -e CLEARTEXT access
The -e CLEARTEXT presently is *mandatory*, otherwise authentication
through apache will not work.
You will probably already have gone through Apache's ssl certificate
generation process. If not, please do so now, if you don't already have a
certificate. If only a few well known people will have access to your
management screens, a self-signed one probably will suffice. Please refer
to the Apache and the Apache-SSL documentation for further information.
Use a sufficiently "long" key. Don't forget the https://... when trying to
access the management pages.
Apache will communicate with Zope through the so-called persistent cgi
interface (aka pcgi). There's links to more information on the Zope web
site at http://www.zope.org. Also, this is the best (and only) source of
help end information on Zope itself.
Zope is Copyrighted (C) by Digital Creations. All rights reserved.
Please thouroughly read the license (see below) before employing Zope.
Good business, Peter Cornelius. <pcc@gmx.net>
Please remember these files and directories:

View File

@ -1,54 +0,0 @@
# *** *** ***
# -------------------
# Zope Configuration.
# -------------------
#
# IMPORTANT: In order for SSL access to work, copy the part between the
# lines with the nine asterisks * to your SSL virtual host section, too!
#
# This rule adds the trailing slash if omitted. So, we will have it for
# all subsequent rules
RewriteEngine on
RewriteRule ^/Zope$ /Zope/ [R]
#
# Zope requires the authentication headers to be passed to it if it is
# called through the cgi of another web server (like apache). An "easy"
# way to do so is to do a little mod_rewrite'ing. See doc/WEBSERVER.txt in
# your Zope base directory for further information.
#
# Uncomment the first RewriteRule if you move Zope.cgi into
# /usr/local/www/cgi-bin
#
# This maps maps /Zope/ to the Zope.cgi CGI script.
RewriteCond %{HTTP:Authorization} ^(.*)
#RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
RewriteRule ^/Zope/(.*) /usr/local/www/cgi-bin.default/Zope.cgi/$1 [env=HTTP_CGI_AUTHORIZATION:%1,t=application/x-httpd-cgi,l]
#
# *** *** ***
#
# This lets the Zope cgi script run:
#
<Directory /usr/local/www/cgi-bin.default>
Options +ExecCGI
</Directory>
# *** *** ***
#
# To require SSL to access the Zope management screens, uncomment the
# next section:
#
#<IfDefine SSL>
#<LocationMatch "/Zope/(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#
#<LocationMatch "/cgi-bin/Zope.cgi(.*)manage(.*)">
# SSLRequireSSL
#</LocationMatch>
#</IfDefine>
#
# End of Zope configuration section.

View File

@ -0,0 +1,14 @@
--- lib/python/zdaemon/zdctl.py.orig Fri Oct 24 23:32:59 2003
+++ lib/python/zdaemon/zdctl.py Fri Apr 2 01:55:59 2004
@@ -208,9 +208,9 @@
args += self._get_override("-z", "directory")
args.extend(self.options.program)
if self.options.daemon:
- flag = os.P_WAIT
- else:
flag = os.P_NOWAIT
+ else:
+ flag = os.P_WAIT
os.spawnvp(flag, args[0], args)
elif not self.zd_pid:
self.send_action("start")

View File

@ -0,0 +1,10 @@
--- zope.conf.sample.orig Mon Nov 3 11:04:10 2003
+++ zope.conf.sample Mon Nov 3 11:04:50 2003
@@ -137,6 +137,7 @@
# Example:
#
# effective-user chrism
+effective-user @@@ZOPE_USER@@@
# Directive: enable-product-installation

View File

@ -3,17 +3,15 @@
case "$1" in
start)
umask 077
nohup %%ZOPEBASEDIR%%/start \
-w %%ZOPE_HTTP_PORT%% \
-f %%ZOPE_FTP_PORT%% \
-m %%ZOPE_MONITOR_PORT%% \
-u %%ZOPE_USER%% \
-p %%CGIBINDIR%%/Zope.cgi \
>> %%ZOPEBASEDIR%%/var/zope-output 2>&1 &
%%ZOPEBASEDIR%%/bin/zopectl --daemon start > /dev/null 2>&1
echo -n " Zope"
;;
stop)
%%ZOPEBASEDIR%%/stop
%%ZOPEBASEDIR%%/bin/zopectl stop > /dev/null 2>&1
echo -n " Zope"
;;
restart)
%%ZOPEBASEDIR%%/bin/zopectl restart > /dev/null 2>&1
echo -n " Zope"
;;
*)

View File

@ -1,15 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
USER=www
if pw usershow "${USER}" 2>/dev/null 1>&2; then
echo "To delete WWW (Zope or Apache and so on) user permanently, use 'pw userdel ${USER}'"
fi
exit 0

View File

@ -1,34 +0,0 @@
#!/bin/sh
# $FreeBSD$
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0

17
www/zope29/pkg-message Normal file
View File

@ -0,0 +1,17 @@
**********************************************************************
Zope 2.7 Successfull installed.
To create an instance of Zope please run
make instance
to create an instance in %%ZOPEBASEDIR%%. To create an instance in a
diffrent location run
make instance ZOPEBASEDIR=<instance_home>
Files installed by make instance will NOT be deleted when Zope is
deinstalled. You have to delete them yourself
**********************************************************************

File diff suppressed because it is too large Load Diff